Skip to content

Initialize

Initialize Ella MOCN

This path creates the first user, an Admin, and logs it in: it returns an access token and sets the session cookie, as log in does.

Method Path
POST /api/v1/init

Request Body

Field Type Required Description
email string Yes Email address. ASCII letters are stored in lower case.
password string Yes 8 to 72 bytes.

Response Fields

Field Type Description
message string System initialized successfully.
token string Access token, valid for 15 minutes.

Sample Request

{
    "email": "[email protected]",
    "password": "correct horse"
}

Sample Response

{
    "result": {
        "message": "System initialized successfully",
        "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
    }
}